# zPocketScript Class Reference: String

## Prototype: Object

The zPocketScript String object is a complete implementation of the String object found in JavaScript 1.4, so for a detailled description of what these functions do, refer to the JavaScript documentation. In brief though...

String's are created either implicitly by the string operators " and ', or explicitly using `new String()`.

## Running strings...

Strings can be used to generate and execute code on the fly.
eg.
`var commandString="Console.print('hello world')";
commandString();
`

## Methods

- valueOf
- toStringV
- toFloat
- concat
- substr
- substring
- anchor
- link
- charCodeAt
- fromCharCode
- fontcolor
- indexOf
- lastIndexOf
- big
- small
- bold
- blink
- fixed
- sub
- sup
- strike
- italics
- fontsize
- charAt
- slice
- toUpperCase
- toLowerCase
- match
- search
- replace
- split

## Properties

- length

## Extensions

- Unlike standard JavaScript String.fromCharCode() accepts a Array objects as well as integers. The Array object should contain an array of integers such as the arrays returned by File.read().
  eg.
  `myArray=[65,66,67];
  myString=String.fromCharCode(myArray);
  ` This will result in `myString` having the value "ABC".